//  AdvancedPrefsView.swift
//  Tusker
//
//  Created by Shadowfacts on 6/13/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import SwiftUI
import Pachyderm

struct AdvancedPrefsView : View {
    @Preference(\.statusContentType) var statusContentType: StatusContentType
    
    var body: some View {
        List {
            Section(footer: Text("This option is only supported for Pleroma and Mastodon instances with formatting enabled. On all other instances, formatting symbols will remain in the unformatted plain text.").lineLimit(nil)) {
                Picker(selection: _statusContentType.binding, label: Text("Post Content Type")) {
                    ForEach(StatusContentType.allCases, id: \.self) { type in
                        Text(type.displayName).tag(type)
                    }
                }
            }
            
            Section(header: Text("AUTOMATION")) {
                NavigationLink(destination: SilentActionPrefs()) {
                    Text("Silent Action Permissions")
                }
            }
        }
            .listStyle(.grouped)
            .navigationBarTitle(Text("Advanced"))
    }
}

#if DEBUG
struct AdvancedPrefsView_Previews : PreviewProvider {
    static var previews: some View {
        AdvancedPrefsView()
    }
}
#endif
